API referenceAssets
POST /api/Assets/GetTimeseriesTypeByIds
An array of ids should be passed in the request body, and the API returns a list of Timeseries Types that match the ids. In order to get all Timeseries Types, pass an empty array.
POST
/api/Assets/GetTimeseriesTypeByIdscurl -X POST "/api/Assets/GetTimeseriesTypeByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataBackOffice.AssetManagement.Interface.Models.AssetTimeseriesTypeDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"order": 0,
"includeInDeal": true,
"displayInCustomerPortal": true,
"editableInCustomerPortal": true,
"assetTimeseriesTypeCategory": 1,
"assetTimeseriesTypeCategoryName": "string"
}
]
}